QueryFederationQueuePoliciesResponse (Apache Hadoop YARN API 3.5.0 API)
Description: declaration: package: org.apache.hadoop.yarn.server.api.protocolrecords, class: QueryFederationQueuePoliciesResponse

Package org.apache.hadoop.yarn.server.api.protocolrecords

# Class QueryFederationQueuePoliciesResponse

java.lang.Object
org.apache.hadoop.yarn.server.api.protocolrecords.QueryFederationQueuePoliciesResponse

@Private @Unstable public abstract class QueryFederationQueuePoliciesResponse extends Object
This is the QueryFederationQueuePoliciesResponse, which contains the following information: 1. Number of policy information included, 2. total Page number, 3. pageSize Conditions passed by the user, 4. Result of queue weight information returned.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `QueryFederationQueuePoliciesResponse()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `abstract int`
  `getCurrentPage()`
  Returns the current page number in the FederationQueuePolicies pagination.
  `abstract List<FederationQueueWeight>`
  `getFederationQueueWeights()`
  Get a list of FederationQueueWeight objects of different queues.
  `abstract int`
  `getPageSize()`
  Retrieves the page size.
  `abstract int`
  `getTotalPage()`
  Returns the page.
  `abstract int`
  `getTotalSize()`
  Returns the total size of the query result.
  `static QueryFederationQueuePoliciesResponse`
  `newInstance()`
  `static QueryFederationQueuePoliciesResponse`
  `newInstance(int totalSize, int totalPage, int currentPage, int pageSize, List<FederationQueueWeight> federationQueueWeights)`
  `abstract void`
  `setCurrentPage(int currentPage)`
  Sets the current page in the FederationQueuePolicies pagination.
  `abstract void`
  `setFederationQueueWeights(List<FederationQueueWeight> federationQueueWeights)`
  Sets the FederationQueueWeights, which represent the weights of different queues.
  `abstract void`
  `setPageSize(int pageSize)`
  Sets the page size for FederationQueuePolicies pagination.
  `abstract void`
  `setTotalPage(int page)`
  Sets the page.
  `abstract void`
  `setTotalSize(int totalSize)`
  Sets the total size of the federationQueueWeights.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### QueryFederationQueuePoliciesResponse

    public QueryFederationQueuePoliciesResponse()

- ## Method Details

  - ### newInstance

    @Private @Unstable public static QueryFederationQueuePoliciesResponse newInstance(int totalSize, int totalPage, int currentPage, int pageSize, List<FederationQueueWeight> federationQueueWeights)

  - ### newInstance

    @Private @Unstable public static QueryFederationQueuePoliciesResponse newInstance()

  - ### getTotalSize

    public abstract int getTotalSize()
    Returns the total size of the query result. It is mainly related to the filter conditions set by the user.
    Returns:
      The total size of the query result.

  - ### setTotalSize

    public abstract void setTotalSize(int totalSize)
    Sets the total size of the federationQueueWeights.
    Parameters:
      `totalSize` - The total size of the query result to be set.

  - ### getTotalPage

    @Public @Unstable public abstract int getTotalPage()
    Returns the page.
    Returns:
      page.

  - ### setTotalPage

    @Private @Unstable public abstract void setTotalPage(int page)
    Sets the page.
    Parameters:
      `page` - page.

  - ### getCurrentPage

    @Public @Unstable public abstract int getCurrentPage()
    Returns the current page number in the FederationQueuePolicies pagination.
    Returns:
      The current page number.

  - ### setCurrentPage

    @Private @Unstable public abstract void setCurrentPage(int currentPage)
    Sets the current page in the FederationQueuePolicies pagination.
    Parameters:
      `currentPage` - The current page number.

  - ### getPageSize

    @Public @Unstable public abstract int getPageSize()
    Retrieves the page size.
    Returns:
      The number of policies to display per page.

  - ### setPageSize

    @Private @Unstable public abstract void setPageSize(int pageSize)
    Sets the page size for FederationQueuePolicies pagination.
    Parameters:
      `pageSize` - The number of policies to display per page.

  - ### getFederationQueueWeights

    @Public @Unstable public abstract List<FederationQueueWeight> getFederationQueueWeights()
    Get a list of FederationQueueWeight objects of different queues.
    Returns:
      list of FederationQueueWeight.

  - ### setFederationQueueWeights

    @Private @Unstable public abstract void setFederationQueueWeights(List<FederationQueueWeight> federationQueueWeights)
    Sets the FederationQueueWeights, which represent the weights of different queues.
    Parameters:
      `federationQueueWeights` - list of FederationQueueWeight.